Bug 89557 - redhat-config-xfree86 does not set the correct screensize for dell inspiron 8500
Summary: redhat-config-xfree86 does not set the correct screensize for dell inspiron 8500
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pyxf86config (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-24 10:46 UTC by Need Real Name
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-29 13:34:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-04-24 10:46:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

The dell inspiron comes with the following screensizes: 
 15.4-inch Dell UltraSharpTM  WUXGA active-matrix display with a resolution of
1920 x 1200, 16 million colours.
15.4-inch Dell UltraSharpTM  WSXGA active-matrix display with a resolution of
1680 x 1050, 16 million colours.
15.4-inch Dell UltraSharpTM  WXGA active-matrix display with a resolution of
1280 x 800, 16 million colours.

I got the model with the 1680X1050 screen, and I cannot get Xcongif to use this
correctly. I've ended up using the 1600 X 1200 resolution but this is not a good
solution(menus fall outside the screen etc).



Version-Release number of selected component (if applicable):
xfree 4.3.0

How reproducible:
Always

Steps to Reproduce:
1. Try installing RH9 on an inspiron ;-)
2.
3.
    

Additional info:

Please take a look here:
http://www.ee.surrey.ac.uk/Personal/G.Wilford/Inspiron8500/

Comment 1 Mike A. Harris 2003-04-24 17:41:15 UTC
Xconfigurator is not part of Red Hat Linux 9, and is not supported in
Red Hat Linux 9 either.  We stopped shipping Xconfigurator in Red Hat Linux 8.0

Comment 2 Need Real Name 2003-04-24 18:37:10 UTC
Sorry, added bug to wrong component.

Comment 3 Brent Fox 2003-04-25 16:37:51 UTC
redhat-config-xfree86 gets it's list of supported resolutions from pyxf86config
with the xf86config.XF86SupportedResolutions() call.  Changing components.

Comment 4 Alexander Larsson 2003-04-28 11:10:43 UTC
xf86config.XF86SupportedResolutions() is the magnificient:

def XF86SupportedResolutions():
    return [  "640x480",   "800x600",  "1024x768",
	     "1152x864",  "1280x960", "1280x1024",
	    "1400x1050", "1600x1200", "1920x1440"]

Do you want me to add 1920x1200, 1680x1050 and 1280x800 to it?


Comment 5 Alexander Larsson 2003-04-28 11:11:21 UTC
CCing bfox so he can see the question I added.


Comment 6 Need Real Name 2003-04-28 11:19:44 UTC
Yes please :) If you generate a new rpm I'll be happy to test it.

Tarjei

Comment 7 Brent Fox 2003-04-28 16:19:35 UTC
I guess so if those resolutions are going to be increasingly available in
mainstream laptops.  It makes the list of resolutions a bit long, but I guess
that can't be avoided.

Comment 8 Alexander Larsson 2003-04-29 13:34:34 UTC
Fixed in 0.3.6. Will be in rawhide soonish.



Note You need to log in before you can comment on or make changes to this bug.